# Code to recreate HP SmartArray controllers

create_smartarray() {
    local sa slotnr junk
    read sa slotnr junk < $1
    cat <<EOF >>$LAYOUT_CODE
LogPrint "Clearing HP SmartArray controller $slotnr"
if ! hpacucli ctrl slot=$slotnr delete forced >&8; then
    Log "Failed to clear HP SmartArray controller $slotnr, this is not necessarily fatal."
fi
EOF
}

create_logicaldrive() {
    local ld disk path options
    read ld disk path options < $1
    
    local slotnr=${path%%|*}
    local arrayname=${path%|*}
    arrayname=${arrayname#*|}
    
    local raid="" drives="" spares="" sectors="" stripesize=""
    local option key value
    for option in $options ; do
        key=${option%=*}
        value=${option#*=}
        
        case $key in
            raid)
                raid=" raid=$value"
                ;;
            drives)
                drives=" drives=${value%,}"
                ;;
            spares)
                if [ -n "$value" ] ; then
                    spares=" spares=${value%,}"
                fi
                ;;
            sectors)
                sectors=" sectors=$value"
                ;;
            stripesize)
                stripesize=" stripesize=$value"
        esac
    done
    echo "LogPrint \"Recreating HP SmartArray controller $slotnr|$arrayname\"" >> $LAYOUT_CODE
    echo "hpacucli ctrl slot=$slotnr create type=ld ${drives}${raid}${sectors}${stripesize}" >> $LAYOUT_CODE
    if [ -n "$spares" ] ; then
        echo "hpacucli ctrl slot=$slotnr array $arrayname add${spares}" >> $LAYOUT_CODE
    fi
cat >> $LAYOUT_CODE <<EOF
ProgressStart "Configuration restored successfully, reloading CCISS driver..."
sleep 1 ; ProgressStep ; sleep 1
rmmod cciss
sleep 1 ; ProgressStep ; sleep 1
modprobe cciss
sleep 1 ; ProgressStep ; sleep 1
ProgressStop

# Make sure device nodes are visible (eg. in RHEL4)
my_udevtrigger
my_udevsettle
EOF
    echo "" >> $LAYOUT_CODE
}
